KLC G1.8

Contributions to the official library must be made using the current stable version

Contributions of library assets must be created in the latest stable version of KiCad.

This is to avoid problems caused by changes in how assets are stored in different versions of KiCad. (Changes in how line ordering is determined, how strings are escaped, etc.) Another reason is to avoid including features not supported by the latest stable release.

Back